Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim.dynamic
Class ObjectAnimator

    java.lang.Object
      ix.isim.dynamic.ObjectAnimator

All Implemented Interfaces:
  SimulationEngine

    public class ObjectAnimator

extends java.lang.Object
implements SimulationEngine

I-X Simple Object Animation Tool

Nested Class Summary
`(package private) class` | `ObjectAnimator.ActionInterpreter`

Constructor Summary
`ObjectAnimator(ISim isim)`

Method Summary
`void` | `init()`
`static ISim.AnimatedObjectList` | `loadObjectFile(java.io.Reader r)`
`protected void` | `loadObjects()`
`static Constraint` | `makeConstraint(java.lang.String att, java.lang.String sName, double val)`
`static void` | `sendConstraint(java.lang.String att, java.lang.String sName, double val, java.lang.String target)`
`void` | `startSimulation()`
`void` | `stopSimulation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectAnimator

    public ObjectAnimator(ISim isim)

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `SimulationEngine`

### startSimulation

    public void startSimulation()

  Specified by:
    `startSimulation` in interface `SimulationEngine`

### stopSimulation

    public void stopSimulation()

  Specified by:
    `stopSimulation` in interface `SimulationEngine`

### sendConstraint

    public static void sendConstraint(java.lang.String att,
                                      java.lang.String sName,
                                      double val,
                                      java.lang.String target)

### makeConstraint

    public static Constraint makeConstraint(java.lang.String att,
                                            java.lang.String sName,
                                            double val)

### loadObjects

    protected void loadObjects()

### loadObjectFile

    public static ISim.AnimatedObjectList loadObjectFile(java.io.Reader r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD